Debian Bug report logs - #539735
libncursesw5: does not render "ó" correctly

version graph

Package: libncursesw5; Maintainer for libncursesw5 is Craig Small <csmall@debian.org>; Source for libncursesw5 is src:ncurses.

Reported by: Jakub Wilk <ubanus@users.sf.net>

Date: Mon, 3 Aug 2009 10:30:01 UTC

Severity: important

Tags: l10n

Merged with 539745

Found in versions 5.7+20090728-1, ncurses/5.7+20090711-1

Fixed in version ncurses/5.7+20090803-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ubanus@users.sf.net, Daniel Baumann <daniel@debian.org>:
Bug#539735; Package libncursesw5. (Mon, 03 Aug 2009 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <ubanus@users.sf.net>:
New Bug report received and forwarded. Copy sent to ubanus@users.sf.net, Daniel Baumann <daniel@debian.org>. (Mon, 03 Aug 2009 10:30:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <ubanus@users.sf.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libncursesw5: does not render "ó" correctly
Date: Mon, 3 Aug 2009 12:27:37 +0200
[Message part 1 (text/plain, inline)]
Package: libncursesw5
Version: 5.7+20090711-1
Severity: important

$ gcc -Wall -lncursesw test.c -o test

$ $ locale charmap
UTF-8

$ ./test 
RM-sżowy słoń ma usiąść na tępych gwoździach.


With libncursesw5 5.7+20090523-1, everything is fine.

-- System Information:
Debian Release: squeeze/sid
    APT prefers unstable
    APT policy: (900, 'unstable'), (500, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libncursesw5 depends on:
ii  libc6                         2.9-23     GNU C Library: Shared libraries

Versions of packages libncursesw5 recommends:
ii  libgpm2                       1.20.4-3.2 General Purpose Mouse - shared lib

libncursesw5 suggests no packages.

-- debconf-show failed

-- 
Jakub Wilk
[test.c.gz (application/octet-stream, attachment)]

Forcibly Merged 539735 539745. Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Mon, 03 Aug 2009 20:48:02 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 5.7+20090728-1. Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Mon, 03 Aug 2009 20:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#539735; Package libncursesw5. (Mon, 03 Aug 2009 21:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Mon, 03 Aug 2009 21:15:05 GMT) Full text and rfc822 format available.

Message #14 received at 539735@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 539735@bugs.debian.org
Subject: re: #539735 libncursesw5: does not render "ó" correctly
Date: Mon, 03 Aug 2009 17:10:20 -0400
[Message part 1 (text/plain, inline)]
I can reproduce this here, with 20090801

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#539735; Package libncursesw5. (Mon, 03 Aug 2009 21:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Mon, 03 Aug 2009 21:39:07 GMT) Full text and rfc822 format available.

Message #19 received at 539735@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 539735@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#539735: #539735 libncursesw5: does not render "ó" correctly
Date: Mon, 3 Aug 2009 17:37:11 -0400 (EDT)
On Mon, 3 Aug 2009, Thomas Dickey wrote:

> I can reproduce this here, with 20090801

...and I can see the immediate cause (a fix which removed a special case
which has to be reworked):

20090704
        + remove wide-character checks from unctrl() (patch by Clemens Ladisch).
        + revise wadd_wch() and wecho_wchar() to eliminate dependency on
          unctrl().

unctrl() is used in waddch(), which in turn is used by printw().
The issue with unctrl() is that it "shouldn't" depend on wide-characters.
However, printw does, as reported here.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 04 Aug 2009 10:03:38 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <ubanus@users.sf.net>:
Bug acknowledged by developer. (Tue, 04 Aug 2009 10:03:39 GMT) Full text and rfc822 format available.

Message #24 received at 539735-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 539735-close@bugs.debian.org
Subject: Bug#539735: fixed in ncurses 5.7+20090803-1
Date: Tue, 04 Aug 2009 09:51:32 +0000
Source: ncurses
Source-Version: 5.7+20090803-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib64ncurses5-dev_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5-dev_5.7+20090803-1_i386.deb
lib64ncurses5_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5_5.7+20090803-1_i386.deb
libncurses5-dbg_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.7+20090803-1_i386.deb
libncurses5-dev_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.7+20090803-1_i386.deb
libncurses5_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.7+20090803-1_i386.deb
libncursesw5-dbg_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.7+20090803-1_i386.deb
libncursesw5-dev_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.7+20090803-1_i386.deb
libncursesw5_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.7+20090803-1_i386.deb
ncurses-base_5.7+20090803-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.7+20090803-1_all.deb
ncurses-bin_5.7+20090803-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.7+20090803-1_i386.deb
ncurses-term_5.7+20090803-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.7+20090803-1_all.deb
ncurses_5.7+20090803-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.7+20090803-1.diff.gz
ncurses_5.7+20090803-1.dsc
  to pool/main/n/ncurses/ncurses_5.7+20090803-1.dsc
ncurses_5.7+20090803.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.7+20090803.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539735@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 Aug 2009 11:19:05 +0200
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source i386 all
Version: 5.7+20090803-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 539735 539745
Changes: 
 ncurses (5.7+20090803-1) unstable; urgency=low
 .
   * Merging upstream version 5.7+20090803:
     - fixes regression with UTF-8 characters (Closes: #539735, #539745).
Checksums-Sha1: 
 df970cbb4e9950ee02abed6bfb3cbc31efa202f6 1517 ncurses_5.7+20090803-1.dsc
 c5acee82724a370bc578e37b143cbbd6cd958484 2593525 ncurses_5.7+20090803.orig.tar.gz
 ee6b9a4f65c6c009d019c4a5aa261265dc2f78e1 40806 ncurses_5.7+20090803-1.diff.gz
 adc5c2c4c84e8f61c3f3317989d2136015cebf97 339780 libncurses5_5.7+20090803-1_i386.deb
 cd99b6a636981c992a3fa3c8b23ed2eedbad2900 1565122 libncurses5-dev_5.7+20090803-1_i386.deb
 3722c22b282d73b7106507559e70b9181d6c2049 1907634 libncurses5-dbg_5.7+20090803-1_i386.deb
 766fce1e6177b99266da2ca8420be921bdcdbe4e 363936 libncursesw5_5.7+20090803-1_i386.deb
 2bfd5151941879003c94b2ccd73e006fc7598232 482076 libncursesw5-dev_5.7+20090803-1_i386.deb
 636d158fcbe059892262a16da803fdc08ea256c1 2132534 libncursesw5-dbg_5.7+20090803-1_i386.deb
 aaff06388b78daaa115fd9d01738803cc52172c9 352248 lib64ncurses5_5.7+20090803-1_i386.deb
 e5ec7d00059ab42cf312bf08d27b3576d60164df 419290 lib64ncurses5-dev_5.7+20090803-1_i386.deb
 32383047529aa244cda13d5de5270429a3b933b9 307344 ncurses-bin_5.7+20090803-1_i386.deb
 07e9ad74597c8d2d283c179594e7938b3ec7740d 181646 ncurses-base_5.7+20090803-1_all.deb
 d0a32dfaeec050146ada0af1d5dde9a15490fe18 564302 ncurses-term_5.7+20090803-1_all.deb
Checksums-Sha256: 
 4eb45d4e8ec4a175eff95fdcc91cc4f42b9a3de42c607acd7ae0be919e711936 1517 ncurses_5.7+20090803-1.dsc
 165ece6f0ee1fce61ea2fd661871ed815741c162f619d820587155b1be02e092 2593525 ncurses_5.7+20090803.orig.tar.gz
 6037d79b44f7f5b948c8d9f063dca2ea4ec39249a2f79fc439d987bfb9df9b0c 40806 ncurses_5.7+20090803-1.diff.gz
 70d4a0bef591cfb4ac36c37d137ddc9bb8fcb45f49a43562d12a7eee9ef75233 339780 libncurses5_5.7+20090803-1_i386.deb
 578c56c35fe55a5dd656692c2f2f9e149982acf84f38889ad44338d43d5cf6ee 1565122 libncurses5-dev_5.7+20090803-1_i386.deb
 bedf0f3f048727e407bfc8501f2fa5f26320bfb88e02a4df9dd469da05516a93 1907634 libncurses5-dbg_5.7+20090803-1_i386.deb
 7045b622f2e3a56d26f045327a9516b88e37fecc4d98e0bd3860d520ceeba068 363936 libncursesw5_5.7+20090803-1_i386.deb
 61c94ae08d3720f7f0a6e0f5416e9ecb1fe409b96c6179f70991bed4dcd9c09e 482076 libncursesw5-dev_5.7+20090803-1_i386.deb
 fbcfefa3a68cabb51a622dcf4a2ca2f3b707352ca7651d2fd2ecc0892eb403ca 2132534 libncursesw5-dbg_5.7+20090803-1_i386.deb
 7478c33a2579a7217fe9865ebfb15fad7238ebd0618df3c1d371507a89e1436d 352248 lib64ncurses5_5.7+20090803-1_i386.deb
 785456e4f1e04d27b68325448e06dfa18515aae5766e13e29c04fe8ca8c4a943 419290 lib64ncurses5-dev_5.7+20090803-1_i386.deb
 f397dc1f5feefeca76ae19b8c42a229dddc12b7490e151dee9adcf22c4f6f868 307344 ncurses-bin_5.7+20090803-1_i386.deb
 955df52ac589659d99762a22044575de7ec553a39278f01a3b672030397bbd08 181646 ncurses-base_5.7+20090803-1_all.deb
 f81644f201abc10aa67bc3adec4fc8e1344cf68a36a55205496f7e4251c36829 564302 ncurses-term_5.7+20090803-1_all.deb
Files: 
 f9b45b3a9e8d6fb8b0cb6b969ed8cb98 1517 libs standard ncurses_5.7+20090803-1.dsc
 7ac7bfdf14776d5cbdea25618ce098cd 2593525 libs standard ncurses_5.7+20090803.orig.tar.gz
 122cd23313bfadba3ea3f1084020c3b6 40806 libs standard ncurses_5.7+20090803-1.diff.gz
 8413cef84355ac9303b46c4ced436ae2 339780 libs required libncurses5_5.7+20090803-1_i386.deb
 41ff45cc2f358ba57682e02d28de8580 1565122 libdevel optional libncurses5-dev_5.7+20090803-1_i386.deb
 093a81691ac76c67ccc03ace80787207 1907634 debug extra libncurses5-dbg_5.7+20090803-1_i386.deb
 3707cb0f4734d6b167d13be4bed108f0 363936 libs important libncursesw5_5.7+20090803-1_i386.deb
 8c95d5087a195724fa1f331167834e42 482076 libdevel optional libncursesw5-dev_5.7+20090803-1_i386.deb
 4e589d48af1e8a877b99437a0bbc07f3 2132534 debug extra libncursesw5-dbg_5.7+20090803-1_i386.deb
 77ddaa89523e6d423952991a9009dfac 352248 libs optional lib64ncurses5_5.7+20090803-1_i386.deb
 239beeb754572f9b49e4fe74c397d44b 419290 libdevel optional lib64ncurses5-dev_5.7+20090803-1_i386.deb
 29df316b0f7b5854861d47b9580f33c5 307344 utils required ncurses-bin_5.7+20090803-1_i386.deb
 60dcd3f3062dcdffcd1d1bc2c35f8d95 181646 utils required ncurses-base_5.7+20090803-1_all.deb
 9671b263c7412abf1baf7c5c7ea3abbf 564302 admin standard ncurses-term_5.7+20090803-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkp3/vIACgkQ+C5cwEsrK54McgCePEUhilxj8cKst7R3yTS69SXY
iwcAnRxYy9dz3FoU/i3mruYakAlMm6K1
=RGAE
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 04 Aug 2009 10:03:41 GMT) Full text and rfc822 format available.

Notification sent to Bernard Massot <bmassot@free.fr>:
Bug acknowledged by developer. (Tue, 04 Aug 2009 10:03:41 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Sep 2009 07:33:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:06:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.